<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFParagraphProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFParagraphProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFParagraphProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFParagraphProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.text</div>
    <h2 title="Class XDDFParagraphProperties" class="title">Class XDDFParagraphProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFParagraphProperties</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#XDDFParagraphProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties-">XDDFParagraphProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFRunProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#addDefaultRunProperties--">addDefaultRunProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#addTabStop--">addTabStop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#countTabStops--">countTabStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphBulletProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getBulletProperties--">getBulletProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFRunProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getDefaultRunProperties--">getDefaultRunProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getExtensionList--">getExtensionList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getLevel--">getLevel</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getTabStop-int-">getTabStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getTabStops--">getTabStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#insertTabStop-int-">insertTabStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#removeTabStop-int-">removeTabStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setDefaultRunProperties-org.apache.poi.xddf.usermodel.text.XDDFRunProperties-">setDefaultRunProperties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFRunProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setDefaultTabSize-java.lang.Double-">setDefaultTabSize</a></span>(java.lang.Double&nbsp;points)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setEastAsianLineBreak-java.lang.Boolean-">setEastAsianLineBreak</a></span>(java.lang.Boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">setExtensionList</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setFontAlignment-org.apache.poi.xddf.usermodel.text.FontAlignment-">setFontAlignment</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/FontAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">FontAlignment</a>&nbsp;align)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setHangingPunctuation-java.lang.Boolean-">setHangingPunctuation</a></span>(java.lang.Boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setIndentation-java.lang.Double-">setIndentation</a></span>(java.lang.Double&nbsp;points)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setLatinLineBreak-java.lang.Boolean-">setLatinLineBreak</a></span>(java.lang.Boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setLevel-java.lang.Integer-">setLevel</a></span>(java.lang.Integer&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setLineSpacing-org.apache.poi.xddf.usermodel.text.XDDFSpacing-">setLineSpacing</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFSpacing</a>&nbsp;spacing)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setMarginLeft-java.lang.Double-">setMarginLeft</a></span>(java.lang.Double&nbsp;points)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setMarginRight-java.lang.Double-">setMarginRight</a></span>(java.lang.Double&nbsp;points)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setRightToLeft-java.lang.Boolean-">setRightToLeft</a></span>(java.lang.Boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setSpaceAfter-org.apache.poi.xddf.usermodel.text.XDDFSpacing-">setSpaceAfter</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFSpacing</a>&nbsp;spacing)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setSpaceBefore-org.apache.poi.xddf.usermodel.text.XDDFSpacing-">setSpaceBefore</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFSpacing</a>&nbsp;spacing)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html#setTextAlignment-org.apache.poi.xddf.usermodel.text.TextAlignment-">setTextAlignment</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">TextAlignment</a>&nbsp;align)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFParagraphProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFParagraphProperties</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;XDDFParagraphProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getBulletProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphBulletProperties</a>&nbsp;getBulletProperties()</pre>
                            </li>
                        </ul>
                        <a name="getLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel</h4>
                                <pre>public&nbsp;int&nbsp;getLevel()</pre>
                            </li>
                        </ul>
                        <a name="setLevel-java.lang.Integer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel</h4>
                                <pre>public&nbsp;void&nbsp;setLevel(java.lang.Integer&nbsp;level)</pre>
                            </li>
                        </ul>
                        <a name="addDefaultRunProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addDefaultRunProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFRunProperties</a>&nbsp;addDefaultRunProperties()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDefaultRunProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultRunProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFRunProperties</a>&nbsp;getDefaultRunProperties()</pre>
                            </li>
                        </ul>
                        <a name="setDefaultRunProperties-org.apache.poi.xddf.usermodel.text.XDDFRunProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDefaultRunProperties</h4>
                                <pre>public&nbsp;void&nbsp;setDefaultRunProperties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFRunProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="setEastAsianLineBreak-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEastAsianLineBreak</h4>
                                <pre>public&nbsp;void&nbsp;setEastAsianLineBreak(java.lang.Boolean&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setLatinLineBreak-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLatinLineBreak</h4>
                                <pre>public&nbsp;void&nbsp;setLatinLineBreak(java.lang.Boolean&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setHangingPunctuation-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHangingPunctuation</h4>
                                <pre>public&nbsp;void&nbsp;setHangingPunctuation(java.lang.Boolean&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setRightToLeft-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightToLeft</h4>
                                <pre>public&nbsp;void&nbsp;setRightToLeft(java.lang.Boolean&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setFontAlignment-org.apache.poi.xddf.usermodel.text.FontAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setFontAlignment(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/FontAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">FontAlignment</a>&nbsp;align)</pre>
                            </li>
                        </ul>
                        <a name="setTextAlignment-org.apache.poi.xddf.usermodel.text.TextAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setTextAlignment(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">TextAlignment</a>&nbsp;align)</pre>
                            </li>
                        </ul>
                        <a name="setDefaultTabSize-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDefaultTabSize</h4>
                                <pre>public&nbsp;void&nbsp;setDefaultTabSize(java.lang.Double&nbsp;points)</pre>
                            </li>
                        </ul>
                        <a name="setIndentation-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndentation</h4>
                                <pre>public&nbsp;void&nbsp;setIndentation(java.lang.Double&nbsp;points)</pre>
                            </li>
                        </ul>
                        <a name="setMarginLeft-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginLeft</h4>
                                <pre>public&nbsp;void&nbsp;setMarginLeft(java.lang.Double&nbsp;points)</pre>
                            </li>
                        </ul>
                        <a name="setMarginRight-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginRight</h4>
                                <pre>public&nbsp;void&nbsp;setMarginRight(java.lang.Double&nbsp;points)</pre>
                            </li>
                        </ul>
                        <a name="setLineSpacing-org.apache.poi.xddf.usermodel.text.XDDFSpacing-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineSpacing</h4>
                                <pre>public&nbsp;void&nbsp;setLineSpacing(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFSpacing</a>&nbsp;spacing)</pre>
                            </li>
                        </ul>
                        <a name="setSpaceAfter-org.apache.poi.xddf.usermodel.text.XDDFSpacing-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpaceAfter</h4>
                                <pre>public&nbsp;void&nbsp;setSpaceAfter(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFSpacing</a>&nbsp;spacing)</pre>
                            </li>
                        </ul>
                        <a name="setSpaceBefore-org.apache.poi.xddf.usermodel.text.XDDFSpacing-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpaceBefore</h4>
                                <pre>public&nbsp;void&nbsp;setSpaceBefore(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFSpacing</a>&nbsp;spacing)</pre>
                            </li>
                        </ul>
                        <a name="addTabStop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addTabStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a>&nbsp;addTabStop()</pre>
                            </li>
                        </ul>
                        <a name="insertTabStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertTabStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a>&nbsp;insertTabStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeTabStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeTabStop</h4>
                                <pre>public&nbsp;void&nbsp;removeTabStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getTabStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTabStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a>&nbsp;getTabStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getTabStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTabStops</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTabStop</a>&gt;&nbsp;getTabStops()</pre>
                            </li>
                        </ul>
                        <a name="countTabStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countTabStops</h4>
                                <pre>public&nbsp;int&nbsp;countTabStops()</pre>
                            </li>
                        </ul>
                        <a name="getExtensionList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtensionList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;getExtensionList()</pre>
                            </li>
                        </ul>
                        <a name="setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setExtensionList</h4>
                                <pre>public&nbsp;void&nbsp;setExtensionList(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFParagraphProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFParagraphProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
